import request from '@/utils/request'

// 查询小程序看课统计列表
export function listSopAppidlist(query) {
  return request({
    url: '/course/sop/list',
    method: 'get',
    params: query
  })
}

// 查询小程序看课统计详细
export function getSopAppidlist(id) {
  return request({
    url: '/course/sop/' + id,
    method: 'get'
  })
}

// 新增小程序看课统计
export function addSopAppidlist(data) {
  return request({
    url: '/course/sop',
    method: 'post',
    data: data
  })
}

// 修改小程序看课统计
export function updateSopAppidlist(data) {
  return request({
    url: '/course/sop',
    method: 'put',
    data: data
  })
}

// 删除小程序看课统计
export function delSopAppidlist(id) {
  return request({
    url: '/course/sop/' + id,
    method: 'delete'
  })
}

// 导出小程序看课统计
export function exportSopAppidlist(query) {
  return request({
    url: '/course/sop/export',
    method: 'get',
    params: query
  })
}
